Summary: A GTK+ based GUI for BottleRocket
Name: gfirecracker
Version: 0.2.0
Release: 1
Group: Applications/Miscellaneous
Url: http://www.sector13.org/kazin/projects/gfirecracker.html
Source: ftp://ftp.sector13.org/pub/kazin/gfirecracker/%{name}-%{version}.tar.bz2
BuildRoot: /var/tmp/%{name}-root
Copyright: GPL
Prefix: /usr

%description
GFirecracker is a set of two small programs built to control the Firecracker
X-10 device through software. Basically,
they're GUI intefaces to BottleRocket, a command-line
controller for the Firecracker.

There are two programs, gfcontrol and gfirecracker.
Gfcontrol just gives you a list of devices numbered 1-8, and a
selection for the house code.
Gfirecracker is configurable, you can have as many buttons
as fit on your screen, and have custom text lables for each one.

%prep
%setup

%build
configure
make
make check

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/%{prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{prefix}/bin/gfcontrol
%{prefix}/bin/gfirecracker
%doc README COPYING AUTHORS INSTALL NEWS README ChangeLog sample.gfrc

%changelog
* Mon Nov 18 1999 Sean P. Kane <spkane@home.com>
- Made first gfirecracker RPM
